For the complete documentation index, see llms.txt. This page is also available as Markdown.

List the Ask-AI questions evidencing a documentation issue

Lists the questions end users asked GitBook's Ask-AI assistant that were used as evidence for a documentation issue. Use this to see what users actually wanted to know before deciding how to fix the issue.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
200

List of questions linked to the site finding

application/json
countnumberOptional

Total count of objects in the list

get/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/questions
GET /v1/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/questions HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List of questions linked to the site finding

{
  "next": {
    "page": "text"
  },
  "count": 1,
  "items": [
    {
      "object": "site-question",
      "id": "text",
      "question": "text",
      "type": "exploring",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "askedAt": "2026-01-01T00:00:00.000Z",
      "stats": {
        "total": 1,
        "answers": 1,
        "feedback": {
          "positive": 1,
          "negative": 1,
          "unrated": 1
        },
        "answered": {
          "yes": 1,
          "partially": 1,
          "no": 1
        },
        "relevance": {
          "relevant": 1,
          "spam": 1,
          "off-topic": 1,
          "unclear": 1
        },
        "types": {
          "exploring": 1,
          "how-to": 1,
          "troubleshooting": 1,
          "reference": 1,
          "unknown": 1
        },
        "channelTypes": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "channels": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "weeklyPulse": [
          1
        ]
      },
      "urls": {
        "location": "https://example.com"
      }
    }
  ]
}

Last updated

Was this helpful?